org.wildfly.swarm.microprofile.openapi.api.models.info

## Class LicenseImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.info.LicenseImpl

- All Implemented Interfaces:
    ModelImpl

      public class LicenseImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `License` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getUrl()`
    `License` | `name(String name)`
    `void` | `setName(String name)`
    `void` | `setUrl(String url)`
    `License` | `url(String url)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseImpl

          public LicenseImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#setName(java.lang.String)`

    - #### name

          public License name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#name(java.lang.String)`

    - #### getUrl

          public String getUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#getUrl()`

    - #### setUrl

          public void setUrl(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#setUrl(java.lang.String)`

    - #### url

          public License url(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.License#url(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.